%define realname Net-SNMP

Summary:	Object oriented interface to SNMP for perl
Name:           perl-Net-SNMP
Version:        5.0.0
Release:        1mdk
License:        GPL or Artistic
Group:          Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{realname}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:  perl-devel
BuildRequires:  perl-Crypt-DES => 2.03
BuildRequires:  perl-Digest-HMAC => 1.0
Requires:       perl >= 5.005
Requires:	perl-Crypt-DES => 2.03
Requires:	perl-Digest-HMAC => 1.0
Requires:	perl-Digest-SHA1 => 1.02
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Net::SNMP module implements an object oriented interface to the Simple
Network Management Protocol.  Perl applications can use the module to retrieve
or update information on a remote host using the SNMP protocol.  The module
supports SNMP version-1, SNMP version-2c (Community-Based SNMPv2), and SNMP
version-3.
The Net::SNMP module assumes that the user has a basic understanding of the
Simple Network Management Protocol and related network management concepts.

%prep

%setup -q -n %{realname}-%{version}

%build

CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null

%make

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

make PREFIX=%{buildroot}%{_prefix} install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_bindir}/snmpkey
%{perl_vendorlib}/Net/SNMP.pm
%{perl_vendorlib}/Net/SNMP/*.pm
%{perl_vendorlib}/Net/SNMP/Security/*.pm
%{perl_vendorlib}/Net/SNMP/Transport/*.pm
%{_mandir}/man*/*

%changelog
* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- 5.0.0

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 4.1.2-1mdk
- 4.1.2
- streamline BuildRequires

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.0.3-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 4.0.3-1mdk
- new version

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.0.2-1mdk
- new version
- rebuilt against new perl

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 4.0.1-2mdk
- First MandrakeSoft Package

